summaryrefslogtreecommitdiff
path: root/dev-python/liblarch
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-19 13:45:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-19 13:45:42 +0000
commitffe910e129da5362318efdc5cc819064aedbce6d (patch)
tree3c991cd16609e5641108c178a97152db4531057b /dev-python/liblarch
parenta6f084b3ab657c74812bcf9de2d8f84c2a7828a8 (diff)
downloadbaldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.tar.gz
baldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.tar.xz
baldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.zip
Adding metadata
Diffstat (limited to 'dev-python/liblarch')
-rw-r--r--dev-python/liblarch/Manifest1
-rw-r--r--dev-python/liblarch/liblarch-3.1.0.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-python/liblarch/Manifest b/dev-python/liblarch/Manifest
index 14cc8490bc5e..1924bfaf6887 100644
--- a/dev-python/liblarch/Manifest
+++ b/dev-python/liblarch/Manifest
@@ -1 +1,2 @@
DIST liblarch-3.0.1.tar.gz 55564 BLAKE2B bb3b3b67f9a64403e1a57e9b47217aa1a9b066708d70e1387a8b864a81dbdc4202b6b75012365f9c93179bbfcc4304116a33ebd3bd892f24334e0c200ae94b56 SHA512 591854eae54f5e644882f8ba486434f85196115a3c06f249cf7b343bb0e029b78a818610881d9d656f6342748c956cf5a213a22843e95b2ed05246a8013ff8ca
+DIST liblarch-3.1.0.tar.gz 55727 BLAKE2B 531602b43f7729f59f59394aa1dd6d3ee4ad653d4ef8802de2074c9a9746d43da1638941c1e8f2075d9092810ba680f2e01bee360c55b0826bb725d6515b31df SHA512 042a763dd12612d6630c064b5af84011f1fb908626f17f866e103743cdaabb4983f922290287b0138938488a7c9bff33680ef8157f8bbcbc166e4f4f2d008951
diff --git a/dev-python/liblarch/liblarch-3.1.0.ebuild b/dev-python/liblarch/liblarch-3.1.0.ebuild
new file mode 100644
index 000000000000..43922bce168c
--- /dev/null
+++ b/dev-python/liblarch/liblarch-3.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library to handle directed acyclic graphs"
+HOMEPAGE="https://wiki.gnome.org/Projects/liblarch"
+SRC_URI="https://github.com/getting-things-gnome/liblarch/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ virtx nosetests -v || die "Tests fail with ${EPYTHON}"
+}